﻿
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
namespace SyncfusionASPNETApplication2
{
    public partial class GridFeatures : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }
        private void BindDataSource()
        {
            int orderId = 10000;
            int empId = 0;
            for (int i = 1; i < 9; i++)
            {
                order.Add(new Orders(orderId + 1, "active", empId + 1));
                order.Add(new Orders(orderId + 2, "Inactive", empId + 2));
                order.Add(new Orders(orderId + 3, "active", empId + 3));
                order.Add(new Orders(orderId + 4, "Inactive", empId + 4));
                order.Add(new Orders(orderId + 5, "active", empId + 5));
                order.Add(new Orders(orderId + 6, "Inactive", empId + 6));
                orderId += 6;
                empId += 6;
            }
            this.Grid1.DataSource = order;
            this.Grid1.DataBind();
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {
            }
            public Orders(int orderId, string customerId, int empId)
            {
                this.OrderID = orderId;
                this.CustomerID = customerId;
                this.EmployeeID = empId;
                
            }
            public int OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            
        }

        protected void Grid1_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();

            exp.Export(Grid1.Model,Grid1.DataSource, "Export.xlsx", ExcelVersion.Excel2013, false, true, ExportTheme.None);
        }

        
    }
}
